Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2007-07-03 09:52:14 +0400
committerJunio C Hamano <gitster@pobox.com>2007-07-03 09:52:14 +0400
commit5be60078c935ed08ee8eb5a32680bdfb6bb5bdf3 (patch)
tree9f68d81a31f8dfe7af6096e7beac2dc0997c143a /t/t5400-send-pack.sh
parent36e5e70e0f40cf7ca4351b8159d68f8560a2805f (diff)
Rewrite "git-frotz" to "git frotz"
This uses the remove-dashes target to replace "git-frotz" to "git frotz". Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/t5400-send-pack.sh')
-rwxr-xr-xt/t5400-send-pack.sh36
1 files changed, 18 insertions, 18 deletions
diff --git a/t/t5400-send-pack.sh b/t/t5400-send-pack.sh
index 4eaea8f336..6c8767e1df 100755
--- a/t/t5400-send-pack.sh
+++ b/t/t5400-send-pack.sh
@@ -13,9 +13,9 @@ test_expect_success setup '
test_tick &&
mkdir mozart mozart/is &&
echo "Commit #0" >mozart/is/pink &&
- git-update-index --add mozart/is/pink &&
- tree=$(git-write-tree) &&
- commit=$(echo "Commit #0" | git-commit-tree $tree) &&
+ git update-index --add mozart/is/pink &&
+ tree=$(git write-tree) &&
+ commit=$(echo "Commit #0" | git commit-tree $tree) &&
zero=$commit &&
parent=$zero &&
i=0 &&
@@ -24,18 +24,18 @@ test_expect_success setup '
i=$(($i+1)) &&
test_tick &&
echo "Commit #$i" >mozart/is/pink &&
- git-update-index --add mozart/is/pink &&
- tree=$(git-write-tree) &&
- commit=$(echo "Commit #$i" | git-commit-tree $tree -p $parent) &&
- git-update-ref refs/tags/commit$i $commit &&
+ git update-index --add mozart/is/pink &&
+ tree=$(git write-tree) &&
+ commit=$(echo "Commit #$i" | git commit-tree $tree -p $parent) &&
+ git update-ref refs/tags/commit$i $commit &&
parent=$commit || return 1
done &&
- git-update-ref HEAD "$commit" &&
+ git update-ref HEAD "$commit" &&
git-clone ./. victim &&
cd victim &&
- git-log &&
+ git log &&
cd .. &&
- git-update-ref HEAD "$zero" &&
+ git update-ref HEAD "$zero" &&
parent=$zero &&
i=0 &&
while test $i -le $cnt
@@ -43,15 +43,15 @@ test_expect_success setup '
i=$(($i+1)) &&
test_tick &&
echo "Rebase #$i" >mozart/is/pink &&
- git-update-index --add mozart/is/pink &&
- tree=$(git-write-tree) &&
- commit=$(echo "Rebase #$i" | git-commit-tree $tree -p $parent) &&
- git-update-ref refs/tags/rebase$i $commit &&
+ git update-index --add mozart/is/pink &&
+ tree=$(git write-tree) &&
+ commit=$(echo "Rebase #$i" | git commit-tree $tree -p $parent) &&
+ git update-ref refs/tags/rebase$i $commit &&
parent=$commit || return 1
done &&
- git-update-ref HEAD "$commit" &&
+ git update-ref HEAD "$commit" &&
echo Rebase &&
- git-log'
+ git log'
test_expect_success 'pack the source repository' '
git repack -a -d &&
@@ -106,9 +106,9 @@ export HOME ;# this way we force the victim/.git/config to be used.
test_expect_success \
'pushing with --force should be denied with denyNonFastforwards' '
cd victim &&
- git-config receive.denyNonFastforwards true &&
+ git config receive.denyNonFastforwards true &&
cd .. &&
- git-update-ref refs/heads/master master^ || return 1
+ git update-ref refs/heads/master master^ || return 1
git-send-pack --force ./victim/.git/ master && return 1
! git diff .git/refs/heads/master victim/.git/refs/heads/master
'